/* style/theme.css */

/* Adicionamos uma transição suave para a mudança de cores */
body, .card, .card-entretenimento, .card-galeria {
    transition: background-color 0.3s ease, color 0.3s ease, border-color 0.3s ease, box-shadow 0.3s ease;
}

/*** Dark Mode: FUNDOS DO SITE ***/
body.dark-mode {
    background-color: #1a202c; /* Fundo escuro */
    color: #cbd5e0; /* Cor de texto principal clara */
}

/*** Dark Mode: FUNDOS DOS CARDS ***/
body.dark-mode .card {
    background-color: #2d3748;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.4);
}

/*** Dark Mode: TEXTOS DENTRO DOS CARDS ***/
body.dark-mode .card h1,
body.dark-mode .card h2 { color: #edf2f7; }

/*** Dark Mode: FUNDOS DOS CARDS DE ENTRETENIMENTO ***/
body.dark-mode .card-entretenimento {
    background-color: #384355; /* Cor de fundo do card no modo escuro */
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.3);
}

body.dark-mode .card-entretenimento span { color: #cbd5e1; }

/*** Dark Mode: DESCRIÇÃO DO PERFIL ***/
body.dark-mode .perfil-descricao .texto { color: #cecece; }

/*** Dark Mode: FOTO DE PERFIL ***/
body.dark-mode .perfil-circulo-azul {
    border-color: #007bff;
    background: #2d3748; /* Fundo escuro para a borda */
}

/*** Dark Mode: COR DO ICONE - TEMA ***/
body.dark-mode .theme-toggle-button .material-symbols-outlined { color: #007bff; }

/*** Dark Mode: FRASE DE INSPIRAÇÃO ***/
body.dark-mode #quote-text { color: #cbd5e0; }

/*** Dark Mode: API LEAO ***/
body.dark-mode #jogo-campeonato { background: rgba(59, 130, 246, 0.15); color: #60a5fa; }
body.dark-mode .jogo-footer { color: #cbd5e0; }
body.dark-mode .nome-time { color: #cbd5e0; }

/* --- Dark Mode: MENU --- */
body.dark-mode .barra-menu {
    background-color: #2d3748; /* Cor do card no tema escuro */
    border-top: 1px solid #4a5568;
    box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.3);
}

body.dark-mode .nav-item { color: #a0aec0; }
body.dark-mode .nav-item.ativo,
body.dark-mode .nav-item:hover { color: var(--cor-primaria); }

/* --- Dark Mode: NOTICIAS --- */
body.dark-mode #ticker-container { background: rgba(255, 255, 255, 0.03); }
body.dark-mode #ticker-text a { color: #e0e0e0; }

/* --- Dark Mode: STORES_SOCIAL --- */
body.dark-mode .card-social {
    background-color: #384355;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.3);
}

body.dark-mode .card-social:hover { box-shadow: 0 4px 15px rgba(0, 0, 0, 0.4); }

/* --- Dark Mode: BARRA DE PROGRESSO --- */
body.dark-mode #progress-bar { background: linear-gradient(to right, var(--cor-primaria), #195da5); }

/* --- Dark Mode: BIOGRAFIA --- */
body.dark-mode .bio-texto-principal p, 
body.dark-mode .bio-texto-inferior p {
    color: #d8d9da; /* Um cinza claro azulado, muito melhor para leitura no escuro */
}

body.dark-mode .skill-box {
    background: #1f1f2e;
}

/* --- Dark Mode: BRASILEIRAO --- */
body.dark-mode .tabela-classificacao tbody tr {
    border-bottom: 1px solid #565656; /* Cor da linha separadora */
}

body.dark-mode .partida-card {
    background-color: #2d3748;
}

/* --- Dark Mode: FORMULA1 --- */
body.dark-mode .formula1-filtros { background-color: #1a202c; }
body.dark-mode .evento-card, body.dark-mode .countdown-container { background-color: #2d3748; }
body.dark-mode .countdown-title { color: #ffffff; }
body.dark-mode .podium-card { background-color: #1a202c; }
body.dark-mode .podium-info .driver-name { color: #ffffff; }
body.dark-mode .classificacao-nav-btn {
    border: 1px solid #4a5568;
    color: #a0aec0;
}
body.dark-mode .classificacao-nav-btn:hover {
    background-color: #2d3748;
    border-color: #4a5568;
}
body.dark-mode .classificacao-nav-btn.ativo {
    background-color: #e10600;
    color: #ffffff;
    border-color: #e10600;
}

body.dark-mode .classificacao-tabela td {
    color: #bcbcbc;
    border-bottom: 1px solid #4e4e4e;
}
body.dark-mode .classificacao-tabela th {
    border-bottom: 1px solid #4e4e4e;
    Color: #a0aec0;
}

/* --- Dark Mode: LOGIN --- */
body.dark-mode .divisor { border-bottom: 1px solid #565656; }
body.dark-mode .divisor span { background: #2b3547; }
body.dark-mode .toggle-text { color: #a4a4a4; }
body.dark-mode .politica-link { color: #a4a4a4; }

/* --- Dark Mode: GERENCIAR CANAIS --- */
body.dark-mode .input-wrapper label { color: #dfdfdf; }
body.dark-mode #form-canal input, body.dark-mode #form-canal select { background-color: #1a202c; color: #a7a7a7; }
body.dark-mode .fontes-master-container h3 { color: #dfdfdf; }
body.dark-mode .fonte-row { background-color: #182f4d; }
body.dark-mode .sandbox-check { color: #ffffff; }
body.dark-mode .filter-header select { background-color: #182f4d; color: #ffffff; }
body.dark-mode .canal-info strong { color: #f3f2f2; }
body.dark-mode .canal-info span { color: #a7a7a7; }
body.dark-mode .canal-logo-img { background-color: #404755; border: 1px solid #0f3460; box-shadow: 0 4px 10px rgba(137, 137, 137, 0.5); }
body.dark-mode .btn-adicionar { color: #ffffff; }


/* --- Dark Mode: GRADE CANAIS --- */
body.dark-mode .modal-content { background-color: #1b212c; color: white; }
body.dark-mode .modal-divider { background: rgba(255,255,255,0.1); }
body.dark-mode .modal-desc { color: #ccc; }
body.dark-mode .tab-button { color: #ffffff; }
body.dark-mode .category-program-title { color: #ffffff; }
body.dark-mode .aseguir-item { color: #b0b0b0; }
body.dark-mode .progress-bar-background { background: #333; }
body.dark-mode .progress-time-start, body.dark-mode .progress-time-end { color: #a0aec0; }
body.dark-mode .category-program-item-vertical {
    background-color: #1b212c;
    border: 1px solid rgba(255, 255, 255, 0.05); /* Borda quase invisível, mas que dá definição */
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.4);
}
body.dark-mode .category-program-logo {
    background: linear-gradient(135deg, #2d3748 0%, #1a202c 100%);
    border: 1px solid rgba(255, 255, 255, 0.1);
}